Send policy

Get Send Policy By Channel And Notification Type

Get send policy for a notification type and channel.

GET
/nudge/send-policy/notification-types/{notificationTypeId}/channels/{channel}

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

notificationTypeId*string
channel*string
Value in"in_app" | "email" | "sms" | "chat" | "push" | "whatsApp"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/send-policy/notification-types/string/channels/in_app"
{
  "status": "success",
  "message": "string",
  "data": {
    "organizationId": "string",
    "notificationTypeId": "string",
    "notificationKind": "TRANSACTIONAL",
    "channel": "in_app",
    "orgRules": [
      {
        "window": "SECOND",
        "max": 0,
        "action": "delay"
      }
    ],
    "userRules": [
      {
        "window": "SECOND",
        "max": 0,
        "action": "delay"
      }
    ],
    "dnd": {
      "enabled": true,
      "startMin": 0,
      "endMin": 0,
      "timezone": "string",
      "action": "delay"
    },
    "allowCriticalDNDBypass": true,
    "id": "string",
    "dndSubTypesByPass": [
      {
        "id": "string",
        "name": "string",
        "parentNotificationTypeId": "string"
      }
    ],
    "entitlement": {
      "org": {
        "SECOND": 0,
        "MINUTES": 0,
        "HOUR": 0,
        "DAY": 0,
        "WEEK": 0,
        "MONTH": 0
      },
      "user": {
        "SECOND": 0,
        "MINUTES": 0,
        "HOUR": 0,
        "DAY": 0,
        "WEEK": 0,
        "MONTH": 0
      }
    }
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}